# telegram.BotCommandScopeChat

class telegram.BotCommandScopeChat(chat_id, **_kwargs)

  Bases: `telegram.botcommandscope.BotCommandScope`

  Represents the scope of bot commands, covering a specific chat.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `type` and `chat_id` are equal.

  New in version 13.7.

  Parameters

    chat_id (`str` | `int`) – Unique identifier for the target chat or username of the target supergroup (in the format `@supergroupusername`)

  type

    Scope type `telegram.BotCommandScope.CHAT`.

    Type

      `str`

  chat_id

    Unique identifier for the target chat or username of the target supergroup (in the format `@supergroupusername`)

    Type

      `str` | `int`